<template>
<div class="blogVertical">
<div class="col-md-12 col-lg-4" >
 <div class="port_blog_mainbox vertical_content" >
    <div class="port_blog_imgbox"  >
        <img src="../../../public/assets/images/chapter-1-3.jpg" alt="blog-image" class="img-fluid"/>	
    </div>	


    <div class="port_blog_contentbox">
        <span class="date_span">اردیبهشت 10 1401 {{item.id}}</span>
        <h4 class="blog_heading">
            <a href="blog.html">صلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید </a>
        </h4>
        <div class="blog_info">
            <ul>
                <li><i class="fas fa-user-edit"></i><a href="">ادمین</a> </li>
                <li><i class="far fa-comments"></i><a href="">50</a></li>
            </ul>
        </div>
        <p>اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائاضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</p>
        <div class="blog_readmore">
        <router-link to="/post"><a href="" class="readmore_btn">Read More <i class="fas fa-long-arrow-alt-right"></i></a></router-link>
        </div>
    </div>	
</div>	
</div>
</div>
</template> 
<script>
import  { mapGetters  } from 'vuex';

export default {
    name :"blogVertical",
    data: function(){
        return {
            item : "",
            
        }   
    },
    components : {
        
    },
    computed: { 
        ...mapGetters({
            blogs : 'allBlogs'
            
        })
        

    },
    methods: {
        changeStyle() {
            if(this.item.styleNumber ==  1 ){
                console.log(this.item.styleNumber , 'vx')
               this.style = ! this.style
            }else if (this.item.styleNumber ==  2){
                this.style = ! this.style
            }
            
        }
    },
    
    created() {
        this.$store.dispatch('getAllBlogs');
    }
    

}
</script>